import type Fuse from 'fuse.js';
import { IconMetadata } from '../types';
import * as React from 'react';
/** [icon name, icon sizes, description] */
export type SystemTableRow = [string, React.ReactNode, string | undefined];
export type CategoryTableRow = React.ReactNode[];
export type Category = {
    title: string;
    iconsMetadata: IconMetadata[];
};
export type IconProps = React.SVGAttributes<SVGElement> & {
    size?: string | number;
};
export type IconDescriptor = {
    size: string;
    name: string;
    Icon: React.FC<IconProps>;
};
export type IconsMetadataIndex = Fuse<IconMetadata>;
export type GeneralCategoryListProps = {
    iconComponents: Record<string, React.FC<IconProps>>;
    iconsMetadata: IconMetadata[];
    iconSizes?: number[];
};
export type SystemCategoryListProps = {
    iconComponents: Record<string, React.FC<IconProps>>;
    iconsMetadata: IconMetadata[];
};
//# sourceMappingURL=types.d.ts.map